Skip to main content
GET
/
webhooks
List webhook subscriptions
curl --request GET \
  --url https://api.heffl.com/api/v1/webhooks \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "events": [
        "<string>"
      ],
      "status": "<string>",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get yours at app.heffl.com/settings/developers

Query Parameters

cursor
string

Cursor for pagination. Pass the previous response nextCursor value to fetch the next page.

limit
number
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100

Search by webhook name or URL

Response

200 - application/json

OK

items
object[]
required
hasMore
boolean
required

Whether additional results are available

nextCursor
string | null

Cursor to fetch the next page. Null if there are no more results.